//是否访问生产环境
const RELEASE_PROD = false;
const APP_NAME = "chargEco"; //lumi, chargEco, fpnc, juice

const apiAddress = {
  chargEco: {
    uat: "https://uat.chargeco.global/",
    prod: "https://csms.chargeco.global/",
    appName: "ChargEco",
    service: "chargeco",
    version: 1
  }
};

export default {
  appName: APP_NAME,
  isDebug: !RELEASE_PROD,
  uiVersion: apiAddress[APP_NAME].version,
  getAppName: () => {
    return apiAddress[APP_NAME].appName;
  },
  getApiAddress: () => {
    return RELEASE_PROD ? apiAddress[APP_NAME].prod : apiAddress[APP_NAME].uat;
  },
  getApiService: () => {
    return apiAddress[APP_NAME].service + "/webapp/api/v1/";
  },
  getApi2Service: () => {
    return apiAddress[APP_NAME].service + "/webapp/api/v2/";
  },
  getQRDeepLink: () => {
    return apiAddress[APP_NAME].qrDeepLink
  },
  getTermsUseUrl: () => {
    return apiAddress[APP_NAME].termsUseUrl
  },
  getPrivacyPolicyUrl: () => {
    return apiAddress[APP_NAME].privacyPolicyUrl
  }
}